Subject: Re: [patch 0/7] CAN: Add new PF_CAN protocol family, try #3

From: Patrick McHardy <[email-masked]>
Date: Fri, 22 Jun 2007 14:34:49 +0200

Urs Thuermann wrote:
> * Use skb->iif instead of skb->cb to pass receiving interface from
>   raw_rcv() and bcm_rcv() up to raw_recvmsg() and bcm_recvmsg().

skb->iif doesn't necessarily point to the incoming network device
as seen seen by netif_receive_skb, for layered devices it currently
always points to the first interface that received a packet.

Its so far also only used for traffic classification, please explain
how you're using it and what values it is set to on which paths.